﻿using System;
using System.Data;
using System.Windows.Forms;
using Infragistics.UltraChart.Shared.Styles;

namespace UltraColumnChartLables
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("Item", typeof(string));
            dt.Columns.Add("Value 1", typeof(decimal));
            dt.Columns.Add("Value 2", typeof(decimal));

            dt.Rows.Add("Category 1", 10, 5);
            dt.Rows.Add("Category 2", 20, 10);
            dt.Rows.Add("Category 3", 30, 25);
            dt.Rows.Add("Category 4", 20, 30);
            dt.Rows.Add("Category 5", 15, 25);

            ultraChart1.DataSource = dt;
            ultraChart1.Data.IncludeColumn(2, false);
        }

        private void ultraButton1_Click(object sender, EventArgs e) {
          // Include if the column currently is excluded
          var include = ultraChart1.Data.excludedColumns.Contains(2);
          // Include or exlucde the column
          ultraChart1.Data.IncludeColumn(2, include);
          // Set chart type based on the number of numeric columns
          ultraChart1.ChartType = include ? ChartType.StackAreaChart : ChartType.StackColumnChart;
          // Swap rows and columns for stacked column chart
          ultraChart1.Data.SwapRowsAndColumns = ultraChart1.ChartType ==ChartType.StackColumnChart;
        }
    }
}
